Xerces-C++: DOMLSSerializerFilter Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DOMLSSerializerFilter Class Reference

DOMLSSerializerFilter.hpp: interface for the DOMLSSerializerFilter class. More...

Inheritance diagram for DOMLSSerializerFilter:

List of all members.

## Public Member Functions
Destructor
virtual | ~DOMLSSerializerFilter ()
| Destructor.
Functions introduced in DOM Level 3
virtual FilterAction | acceptNode (const DOMNode *node) const =0
| Interface from `DOMNodeFilter`, to be implemented by implementation (derived class).
virtual ShowType | getWhatToShow () const =0
| Tells the DOMLSSerializer what types of nodes to show to the filter.
## Protected Member Functions
Hidden constructors
| DOMLSSerializerFilter ()

## Detailed Description

DOMLSSerializerFilter.hpp: interface for the DOMLSSerializerFilter class.

DOMLSSerializerFilter provide applications the ability to examine nodes as they are being serialized.

DOMLSSerializerFilter lets the application decide what nodes should be serialized or not.

The DOMDocument, DOMDocumentType, DOMNotation, and DOMEntity nodes are not passed to the filter.

Since:
  DOM Level 3

## Constructor & Destructor Documentation

DOMLSSerializerFilter::DOMLSSerializerFilter | ( |  | ) | `[protected]`

virtual DOMLSSerializerFilter::~DOMLSSerializerFilter | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual FilterAction DOMLSSerializerFilter::acceptNode | ( | const DOMNode * | node | ) | const`[pure virtual]`

Interface from `DOMNodeFilter`, to be implemented by implementation (derived class).

Implements DOMNodeFilter.

virtual ShowType DOMLSSerializerFilter::getWhatToShow | ( |  | ) | const`[pure virtual]`

Tells the DOMLSSerializer what types of nodes to show to the filter.

See `DOMNodeFilter` for definition of the constants. The constant SHOW_ATTRIBUTE is meaningless here, attribute nodes will never be passed to a DOMLSSerializerFilter.

Returns:
  The constants of what types of nodes to show.

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMLSSerializerFilter.hpp